Bug 966251 - Installing packages or errata using the web UI does not refresh totals
Installing packages or errata using the web UI does not refresh totals
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent (Show other bugs)
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Ivan Necas
: Triaged
Depends On: 1151618
Blocks: 1130651
  Show dependency treegraph
Reported: 2013-05-22 17:05 EDT by Og Maciel
Modified: 2017-02-23 16:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-08-12 09:59:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2013-05-22 17:05:41 EDT
Description of problem:

Tried to install packages and errata to a registered/subscribed client using the katello web ui and even though the web ui told me that operation succeeded, the packages/errata count did not refresh to account for the changes. For instance, before installing an errata I had a total of 431 erratum, but after installing it I still had 431 shown. Reloading the page did not change this until I restarted rhsmcertd in the client.

Version-Release number of selected component (if applicable):

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.7-1.el6_4.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.7-1.el6_4.noarch
* candlepin-tomcat6-0.8.7-1.el6_4.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.1.10002-29.noarch
* foreman-postgresql-1.1.10002-29.noarch
* katello-1.4.2-6.el6sat.noarch
* katello-all-1.4.2-6.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.2-5.el6sat.noarch
* katello-cli-common-1.4.2-5.el6sat.noarch
* katello-common-1.4.2-6.el6sat.noarch
* katello-configure-1.4.3-9.el6sat.noarch
* katello-configure-foreman-1.4.3-9.el6sat.noarch
* katello-foreman-all-1.4.2-6.el6sat.noarch
* katello-glue-candlepin-1.4.2-6.el6sat.noarch
* katello-glue-elasticsearch-1.4.2-6.el6sat.noarch
* katello-glue-pulp-1.4.2-6.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.3-3.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* openldap-devel-2.4.23-31.el6.x86_64
* pulp-rpm-plugins-2.1.1-1.el6sat.noarch
* pulp-selinux-2.1.1-1.el6sat.noarch
* pulp-server-2.1.1-1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.1.7-3.el6sat.noarch
* ruby193-rubygem-net-ldap-0.2.2-7.el6_4.noarch
* signo-0.0.10-1.el6sat.noarch
* signo-katello-0.0.10-1.el6sat.noarch

How reproducible:

Steps to Reproduce:
1. Install a package or errata to a registered/subscribed client

Actual results:

After an errata is installed, the total number of available erratum does not update

Expected results:

Additional info:
Comment 1 Brad Buckingham 2013-05-29 13:14:16 EDT
Aside from the mention of count changing, we need to investigate how the client's package profile is updated on the server as changes occur on the client.  What triggers this update?  What is the frequency?
Comment 5 Walden Raines 2014-09-25 10:53:24 EDT
This has been fixed with bug #1103937.
Comment 7 sthirugn@redhat.com 2015-03-03 16:48:45 EST
Comment 8 Bryan Kearney 2015-08-11 09:34:46 EDT
This bug is slated to be released with Satellite 6.1.
Comment 9 Bryan Kearney 2015-08-12 09:59:57 EDT
This bug was fixed in version 6.1.1 of Satellite which was released on 12 August, 2015.

Note You need to log in before you can comment on or make changes to this bug.